/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package main;

import static opengl.GL.*;
import java.util.logging.Level;
import java.util.logging.Logger;
import org.lwjgl.LWJGLException;
import org.lwjgl.input.Keyboard;
import org.lwjgl.opengl.Display;
import org.lwjgl.util.vector.Matrix4f;
import org.lwjgl.util.vector.Vector3f;
import util.Util;

/**
 *
 * @author NMARNIOK
 */
public class TranslateNGon {
    private static int programID;       // shader program id
    private static int ngonVAID;        // vertexarray id of the n-gon
    
    public static void main(String[] argv) {
        try {
            init();
            programID = Util.createShaderProgram("shader/MainT_VS.glsl", "shader/MainConstColor_FS.glsl");
            ngonVAID = Util.createNGon(12);
            glPointSize(16.0f);
            render();
            Display.destroy();
        } catch (LWJGLException ex) {
            Logger.getLogger(TranslateNGon.class.getName()).log(Level.SEVERE, null, ex);
        }
    }
    
    public static void render() throws LWJGLException {
        glClearColor(1.0f, 0.0f, 0.0f, 1.0f);
        while(!Display.isCloseRequested()) {
            glClear(GL_COLOR_BUFFER_BIT | GL_DEPTH_BUFFER_BIT | GL_STENCIL_BUFFER_BIT);
            glUseProgram(programID);
            glBindVertexArray(ngonVAID);
            glDrawElements(GL_POINTS, 12, GL_UNSIGNED_INT, 0);
            Display.update();
            Display.sync(60);
            
            handleInput();
            updateUniforms();
        }
    }
    
    public static void handleInput() {
        
    }
    
    public static void updateUniforms() {
        
    }
}
